<template>
	<view>
		<view> 偏好设置</view>
		<uni-icons type="gear-filled" size="30" @click="conditionClick"></uni-icons>
		<view >
			<uni-popup ref="popup" type="bottom">
				
				<uni-row style="background-color: #ffffff;height: 300px;">
					<uni-col :span="16">
						<view >
							<view>
							    <uni-data-select
							      v-model="value"
							      :localdata="range"
							      @change="change"
								  :disabled="range[2].text == '足球'"
							    ></uni-data-select>
							  </view>				
						</view>
					</uni-col>
					<uni-col :span="8">
						
					</uni-col>
				</uni-row>
				
			</uni-popup>
		</view>
	</view>

</template>
<script>
	import {
		queryConfig
	} from '@/utils/requestahm.js'
	import moment from "moment";
	export default {
		name: "echarts",
		data() {
			return {
				value: 0,
				range: [
				        { value: 0, text: "篮球" },
				        { value: 1, text: "足球" },
				        { value: 2, text: "游泳" },
						{ value: 3, text: "篮球" },
						{ value: 4, text: "足球" },
						{ value: 5, text: "游泳" },
						{ value: 6, text: "篮球" },
						{ value: 7, text: "足球" },
						{ value: 8, text: "游泳" },
				],
				
			}
		},
		// components: {LEchart},
		created() {

		},
		props: {
			items: {
				type: Object,
			}
		},
		mounted() {
			
		},

		methods: {
			change(e) {
			      console.log("e:", e);
			},
			conditionClick(){
				console.log('点击了偏好')
				this.$refs.popup.open()
			},
			//弹窗
			toggle(item) {
				console.log('----点击了弹窗----')
				console.log(item)
				this.carditem = item
				this.$refs.popup.open()
			},
					
		},
	}
</script>
<style scoped lang="less">

</style>
